org.keycloak.models.cache.infinispan.authorization.events

## Class PermissionTicketRemovedEvent

- java.lang.Object
- - org.keycloak.models.cache.infinispan.events.InvalidationEvent
  - - org.keycloak.models.cache.infinispan.authorization.events.PermissionTicketRemovedEvent

- All Implemented Interfaces:
    Serializable, ClusterEvent, AuthorizationCacheInvalidationEvent

      public class PermissionTicketRemovedEvent
      extends InvalidationEvent
      implements AuthorizationCacheInvalidationEvent

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionTicketRemovedEvent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInvalidations(StoreFactoryCacheManager cache, Set<String> invalidations)`
    `static PermissionTicketRemovedEvent` | `create(String id, String owner, String requester, String resource, String resourceName, String scope, String serverId)`
    `boolean` | `equals(Object o)`
    `String` | `getId()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionTicketRemovedEvent

          public PermissionTicketRemovedEvent()

  - ### Method Detail

    - #### create

          public static PermissionTicketRemovedEvent create(String id,
                                                            String owner,
                                                            String requester,
                                                            String resource,
                                                            String resourceName,
                                                            String scope,
                                                            String serverId)

    - #### getId

          public String getId()

      Specified by:
        `getId` in class `InvalidationEvent`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `InvalidationEvent`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `InvalidationEvent`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### addInvalidations

          public void addInvalidations(StoreFactoryCacheManager cache,
                                       Set<String> invalidations)

      Specified by:
        `addInvalidations` in interface `AuthorizationCacheInvalidationEvent`

Copyright © 2021 JBoss by Red Hat. All rights reserved.